## cong-fake-plugin-hooks

cong-fake-plugin-hooks —

## Synopsis

    gboolean    plugin_abiword_plugin_register  (CongPlugin *plugin);
    gboolean    plugin_abiword_plugin_configure (CongPlugin *plugin);
    gboolean    plugin_admonition_plugin_register
                                                (CongPlugin *plugin);
    gboolean    plugin_admonition_plugin_configure
                                                (CongPlugin *plugin);
    gboolean    plugin_arbitrary_plugin_register
                                                (CongPlugin *plugin);
    gboolean    plugin_arbitrary_plugin_configure
                                                (CongPlugin *plugin);
    gboolean    plugin_cleanup_source_plugin_register
                                                (CongPlugin *plugin);
    gboolean    plugin_cleanup_source_plugin_configure
                                                (CongPlugin *plugin);
    gboolean    plugin_convert_case_plugin_register
                                                (CongPlugin *plugin);
    gboolean    plugin_convert_case_plugin_configure
                                                (CongPlugin *plugin);
    gboolean    plugin_css_plugin_register      (CongPlugin *plugin);
    gboolean    plugin_css_plugin_configure     (CongPlugin *plugin);
    gboolean    plugin_docbook_plugin_register  (CongPlugin *plugin);
    gboolean    plugin_docbook_plugin_configure (CongPlugin *plugin);
    gboolean    plugin_dtd_plugin_register      (CongPlugin *plugin);
    gboolean    plugin_dtd_plugin_configure     (CongPlugin *plugin);
    gboolean    plugin_empty_plugin_register    (CongPlugin *plugin);
    gboolean    plugin_empty_plugin_configure   (CongPlugin *plugin);
    gboolean    plugin_fo_plugin_register       (CongPlugin *plugin);
    gboolean    plugin_fo_plugin_configure      (CongPlugin *plugin);
    gboolean    plugin_html_plugin_register     (CongPlugin *plugin);
    gboolean    plugin_html_plugin_configure    (CongPlugin *plugin);
    gboolean    plugin_lists_plugin_register    (CongPlugin *plugin);
    gboolean    plugin_lists_plugin_configure   (CongPlugin *plugin);
    gboolean    plugin_paragraph_plugin_register
                                                (CongPlugin *plugin);
    gboolean    plugin_paragraph_plugin_configure
                                                (CongPlugin *plugin);
    gboolean    plugin_random_plugin_register   (CongPlugin *plugin);
    gboolean    plugin_random_plugin_configure  (CongPlugin *plugin);
    gboolean    plugin_relaxng_plugin_register  (CongPlugin *plugin);
    gboolean    plugin_relaxng_plugin_configure (CongPlugin *plugin);
    gboolean    plugin_sgml_plugin_register     (CongPlugin *plugin);
    gboolean    plugin_sgml_plugin_configure    (CongPlugin *plugin);
    gboolean    plugin_tei_plugin_register      (CongPlugin *plugin);
    gboolean    plugin_tei_plugin_configure     (CongPlugin *plugin);
    gboolean    plugin_tests_plugin_register    (CongPlugin *plugin);
    gboolean    plugin_tests_plugin_configure   (CongPlugin *plugin);
    gboolean    plugin_validate_plugin_register (CongPlugin *plugin);
    gboolean    plugin_validate_plugin_configure
                                                (CongPlugin *plugin);
    gboolean    plugin_website_plugin_register  (CongPlugin *plugin);
    gboolean    plugin_website_plugin_configure (CongPlugin *plugin);
    gboolean    plugin_xsl_plugin_register      (CongPlugin *plugin);
    gboolean    plugin_xsl_plugin_configure     (CongPlugin *plugin);
    gboolean    plugin_save_dispspec_plugin_register
                                                (CongPlugin *plugin);
    gboolean    plugin_save_dispspec_plugin_configure
                                                (CongPlugin *plugin);
    gboolean    plugin_templates_plugin_register
                                                (CongPlugin *plugin);
    gboolean    plugin_templates_plugin_configure
                                                (CongPlugin *plugin);

## Description

## Details

### plugin_abiword_plugin_register ()

    gboolean    plugin_abiword_plugin_register  (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_abiword_plugin_configure ()

    gboolean    plugin_abiword_plugin_configure (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_admonition_plugin_register ()

    gboolean    plugin_admonition_plugin_register
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_admonition_plugin_configure ()

    gboolean    plugin_admonition_plugin_configure
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_arbitrary_plugin_register ()

    gboolean    plugin_arbitrary_plugin_register
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_arbitrary_plugin_configure ()

    gboolean    plugin_arbitrary_plugin_configure
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_cleanup_source_plugin_register ()

    gboolean    plugin_cleanup_source_plugin_register
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_cleanup_source_plugin_configure ()

    gboolean    plugin_cleanup_source_plugin_configure
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_convert_case_plugin_register ()

    gboolean    plugin_convert_case_plugin_register
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_convert_case_plugin_configure ()

    gboolean    plugin_convert_case_plugin_configure
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_css_plugin_register ()

    gboolean    plugin_css_plugin_register      (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_css_plugin_configure ()

    gboolean    plugin_css_plugin_configure     (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_docbook_plugin_register ()

    gboolean    plugin_docbook_plugin_register  (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_docbook_plugin_configure ()

    gboolean    plugin_docbook_plugin_configure (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_dtd_plugin_register ()

    gboolean    plugin_dtd_plugin_register      (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_dtd_plugin_configure ()

    gboolean    plugin_dtd_plugin_configure     (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_empty_plugin_register ()

    gboolean    plugin_empty_plugin_register    (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_empty_plugin_configure ()

    gboolean    plugin_empty_plugin_configure   (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_fo_plugin_register ()

    gboolean    plugin_fo_plugin_register       (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_fo_plugin_configure ()

    gboolean    plugin_fo_plugin_configure      (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_html_plugin_register ()

    gboolean    plugin_html_plugin_register     (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_html_plugin_configure ()

    gboolean    plugin_html_plugin_configure    (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_lists_plugin_register ()

    gboolean    plugin_lists_plugin_register    (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_lists_plugin_configure ()

    gboolean    plugin_lists_plugin_configure   (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_paragraph_plugin_register ()

    gboolean    plugin_paragraph_plugin_register
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_paragraph_plugin_configure ()

    gboolean    plugin_paragraph_plugin_configure
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_random_plugin_register ()

    gboolean    plugin_random_plugin_register   (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_random_plugin_configure ()

    gboolean    plugin_random_plugin_configure  (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_relaxng_plugin_register ()

    gboolean    plugin_relaxng_plugin_register  (CongPlugin *plugin);

`plugin` : |
Returns : |

### plugin_relaxng_plugin_configure ()

    gboolean    plugin_relaxng_plugin_configure (CongPlugin *plugin);

`plugin` : |
Returns : |

### plugin_sgml_plugin_register ()

    gboolean    plugin_sgml_plugin_register     (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_sgml_plugin_configure ()

    gboolean    plugin_sgml_plugin_configure    (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_tei_plugin_register ()

    gboolean    plugin_tei_plugin_register      (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_tei_plugin_configure ()

    gboolean    plugin_tei_plugin_configure     (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_tests_plugin_register ()

    gboolean    plugin_tests_plugin_register    (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_tests_plugin_configure ()

    gboolean    plugin_tests_plugin_configure   (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_validate_plugin_register ()

    gboolean    plugin_validate_plugin_register (CongPlugin *plugin);

Registers validate plugin - plugin that provides menu item that validates document agains DTD and show validation warining and errors.

`plugin` : | Plugin
Returns : |

### plugin_validate_plugin_configure ()

    gboolean    plugin_validate_plugin_configure
                                                (CongPlugin *plugin);

This function should contain all code to configure validate plugin

`plugin` : | Plugin
Returns : |

### plugin_website_plugin_register ()

    gboolean    plugin_website_plugin_register  (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_website_plugin_configure ()

    gboolean    plugin_website_plugin_configure (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_xsl_plugin_register ()

    gboolean    plugin_xsl_plugin_register      (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_xsl_plugin_configure ()

    gboolean    plugin_xsl_plugin_configure     (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_save_dispspec_plugin_register ()

    gboolean    plugin_save_dispspec_plugin_register
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_save_dispspec_plugin_configure ()

    gboolean    plugin_save_dispspec_plugin_configure
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_templates_plugin_register ()

    gboolean    plugin_templates_plugin_register
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |

### plugin_templates_plugin_configure ()

    gboolean    plugin_templates_plugin_configure
                                                (CongPlugin *plugin);

TODO: Write me

`plugin` : |
Returns : |